﻿using C1.WPF.Document;
using C1.WPF.FlexReport;
using System.Printing;
using System.Windows;

namespace FlexReportToXps
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnExport_Click(object sender, RoutedEventArgs e)
        {
            var report = new C1FlexReport();
            report.Load(@"..\..\HelloWorld.flxr", "HelloWorld");
            report.Render();

            var printQueue = new LocalPrintServer().GetPrintQueue("Microsoft XPS Document Writer");
            var printOptions = new C1PrintOptions { PrintQueue = printQueue };
            report.Print(printOptions);
        }
    }
}
